Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Interface DeploymentConstants

All Known Implementing Classes:
  ArchiveReader, AxisConfigBuilder, ClusterBuilder, DeploymentEngine, DescriptionBuilder, FileSystemConfigurator, ModuleBuilder, RepositoryListener, ServiceBuilder, ServiceGroupBuilder, URLBasedAxisConfigurator, WarBasedAxisConfigurator, WSInfoList

    public interface DeploymentConstants

Constants used during service/module deployment.

Field Summary
`static String` | `ATTACHMENTS_LIFECYCLE_MANAGER`
`static String` | `ATTRIBUTE_ACTIVATE`
`static String` | `ATTRIBUTE_CLASS`
`static String` | `ATTRIBUTE_DEFAULT_VERSION`
`static String` | `ATTRIBUTE_LOCKED`
`static String` | `ATTRIBUTE_NAME`
`static String` | `ATTRIBUTE_NAMESPACE`
`static String` | `ATTRIBUTE_PACKAGE`
`static String` | `ATTRIBUTE_SCOPE`
`static String` | `ATTRIBUTE_WSADDRESSING`
`static String` | `AXIS2_CONFIGURATION_RESOURCE` Resource that contains the configuration.
`static String` | `AXIS2_CONFIGURATION_XML`
`static String` | `AXIS2_REPO`
`static String` | `BOOLEAN_FALSE`
`static String` | `BOOLEAN_TRUE`
`static String` | `DEPLOYER`
`static String` | `DIRECTORY`
`static String` | `DIRECTORY_AXIS2_HOME`
`static String` | `DIRECTORY_CONF`
`static String` | `EXTENSION`
`static String` | `MAPPING`
`static String` | `META_INF`
`static String` | `MODULE_DRI_PATH`
`static String` | `MODULE_PATH`
`static String` | `MODULE_XML`
`static String` | `POLICY_NS_URI`
`static String` | `PROPERTY_TEMP_DIR`
`static String` | `RESOURCE_MODULES`
`static String` | `SCHEMA`
`static String` | `SCHEMA_ELEMENT_QUALIFIED`
`static String` | `SCHEMA_NAME_SPACE`
`static char` | `SEPARATOR_COLON`
`static char` | `SEPARATOR_DOT`
`static String` | `SERVICE_DIR_PATH`
`static String` | `SERVICE_PATH`
`static String` | `SERVICES_XML`
`static String` | `SUFFIX_JAR`
`static String` | `SUFFIX_MAR`
`static String` | `SUFFIX_WSDL`
`static String` | `TAG_AFTER`
`static String` | `TAG_ALLOWOVERRIDE`
`static String` | `TAG_ANTI_JAR_LOCKING`
`static String` | `TAG_APPLIES_TO`
`static String` | `TAG_AXISCONFIG`
`static String` | `TAG_BEFORE`
`static String` | `TAG_CLASS_NAME`
`static String` | `TAG_CLUSTER`
`static String` | `TAG_CONTENT_TYPE`
`static String` | `TAG_CONTEXT`
`static String` | `TAG_DEFAULT_MODULE_VERSION`
`static String` | `TAG_DEFAULTS`
`static String` | `TAG_DESCRIPTION`
`static String` | `TAG_DISPATCH_ORDER`
`static String` | `TAG_DISPATCHER`
`static String` | `TAG_EXCLUDE`
`static String` | `TAG_EXCLUDE_OPERATIONS`
`static String` | `TAG_EXCLUDE_PROPERTIES`
`static String` | `TAG_EXPOSE`
`static String` | `TAG_EXTRACT_SERVICE_ARCHIVE`
`static String` | `TAG_FLOW_IN`
`static String` | `TAG_FLOW_IN_FAULT`
`static String` | `TAG_FLOW_OUT`
`static String` | `TAG_FLOW_OUT_FAULT`
`static String` | `TAG_HANDLER`
`static String` | `TAG_HOT_DEPLOYMENT`
`static String` | `TAG_HOT_UPDATE`
`static String` | `TAG_INCLUDE_PROPERTIES`
`static String` | `TAG_LABEL`
`static String` | `TAG_LIST_ID`
`static String` | `TAG_LISTENER`
`static String` | `TAG_MAPPING`
`static String` | `TAG_MEP`
`static String` | `TAG_MESSAGE`
`static String` | `TAG_MESSAGE_BUILDER`
`static String` | `TAG_MESSAGE_BUILDERS`
`static String` | `TAG_MESSAGE_FORMATTER`
`static String` | `TAG_MESSAGE_FORMATTERS`
`static String` | `TAG_MESSAGE_RECEIVER`
`static String` | `TAG_MESSAGE_RECEIVERS`
`static String` | `TAG_MODULE`
`static String` | `TAG_MODULE_CONFIG`
`static String` | `TAG_NAMESPACES`
`static String` | `TAG_NODE_MANAGER`
`static String` | `TAG_OBJECT_SUPPLIER`
`static String` | `TAG_OPERATION`
`static String` | `TAG_ORDER`
`static String` | `TAG_PACKAGE_NAME`
`static String` | `TAG_PACKAGE2QNAME`
`static String` | `TAG_PARAMETER`
`static String` | `TAG_PHASE`
`static String` | `TAG_PHASE_FIRST`
`static String` | `TAG_PHASE_LAST`
`static String` | `TAG_PHASE_ORDER`
`static String` | `TAG_POLICY`
`static String` | `TAG_POLICY_ATTACHMENT`
`static String` | `TAG_POLICY_REF`
`static String` | `TAG_QNAME`
`static String` | `TAG_REFERENCE`
`static String` | `TAG_REPLICATION`
`static String` | `TAG_SERVICE`
`static String` | `TAG_SERVICE_GROUP`
`static String` | `TAG_STATE_MANAGER`
`static String` | `TAG_SUPPORTED_POLICY_NAMESPACES`
`static String` | `TAG_TARGET_RESOLVER`
`static String` | `TAG_TARGET_RESOLVERS`
`static String` | `TAG_THREAD_CONTEXT_MIGRATOR`
`static String` | `TAG_THREAD_CONTEXT_MIGRATORS`
`static String` | `TAG_TIMEOUT`
`static String` | `TAG_TRANSACTION`
`static String` | `TAG_TRANSACTION_CONFIGURATION_CLASS`
`static String` | `TAG_TRANSPORT`
`static String` | `TAG_TRANSPORT_RECEIVER`
`static String` | `TAG_TRANSPORT_SENDER`
`static String` | `TAG_TRANSPORTS`
`static String` | `TAG_TYPE`
`static String` | `TARGET_NAME_SPACE`

Field Detail

### META_INF

    static final String META_INF

See Also:
  Constant Field Values

### SERVICES_XML

    static final String SERVICES_XML

See Also:
  Constant Field Values

### MODULE_XML

    static final String MODULE_XML

See Also:
  Constant Field Values

### SERVICE_PATH

    static final String SERVICE_PATH

See Also:
  Constant Field Values

### SERVICE_DIR_PATH

    static final String SERVICE_DIR_PATH

See Also:
  Constant Field Values

### MODULE_PATH

    static final String MODULE_PATH

See Also:
  Constant Field Values

### MODULE_DRI_PATH

    static final String MODULE_DRI_PATH

See Also:
  Constant Field Values

### TAG_AXISCONFIG

    static final String TAG_AXISCONFIG

See Also:
  Constant Field Values

### TAG_PHASE_ORDER

    static final String TAG_PHASE_ORDER

See Also:
  Constant Field Values

### TAG_PARAMETER

    static final String TAG_PARAMETER

See Also:
  Constant Field Values

### TAG_MAPPING

    static final String TAG_MAPPING

See Also:
  Constant Field Values

### TAG_PACKAGE_NAME

    static final String TAG_PACKAGE_NAME

See Also:
  Constant Field Values

### TAG_QNAME

    static final String TAG_QNAME

See Also:
  Constant Field Values

### TAG_PACKAGE2QNAME

    static final String TAG_PACKAGE2QNAME

See Also:
  Constant Field Values

### TAG_MODULE

    static final String TAG_MODULE

See Also:
  Constant Field Values

### TAG_MODULE_CONFIG

    static final String TAG_MODULE_CONFIG

See Also:
  Constant Field Values

### TAG_MESSAGE

    static final String TAG_MESSAGE

See Also:
  Constant Field Values

### TAG_LISTENER

    static final String TAG_LISTENER

See Also:
  Constant Field Values

### TAG_LABEL

    static final String TAG_LABEL

See Also:
  Constant Field Values

### TAG_HANDLER

    static final String TAG_HANDLER

See Also:
  Constant Field Values

### TAG_TYPE

    static final String TAG_TYPE

See Also:
  Constant Field Values

### TAG_TARGET_RESOLVERS

    static final String TAG_TARGET_RESOLVERS

See Also:
  Constant Field Values

### TAG_TARGET_RESOLVER

    static final String TAG_TARGET_RESOLVER

See Also:
  Constant Field Values

### TAG_THREAD_CONTEXT_MIGRATORS

    static final String TAG_THREAD_CONTEXT_MIGRATORS

See Also:
  Constant Field Values

### TAG_THREAD_CONTEXT_MIGRATOR

    static final String TAG_THREAD_CONTEXT_MIGRATOR

See Also:
  Constant Field Values

### TAG_TRANSPORT_SENDER

    static final String TAG_TRANSPORT_SENDER

See Also:
  Constant Field Values

### TAG_TRANSPORT_RECEIVER

    static final String TAG_TRANSPORT_RECEIVER

See Also:
  Constant Field Values

### TAG_SERVICE_GROUP

    static final String TAG_SERVICE_GROUP

See Also:
  Constant Field Values

### TAG_SERVICE

    static final String TAG_SERVICE

See Also:
  Constant Field Values

### TAG_REFERENCE

    static final String TAG_REFERENCE

See Also:
  Constant Field Values

### TAG_PHASE_LAST

    static final String TAG_PHASE_LAST

See Also:
  Constant Field Values

### TAG_PHASE_FIRST

    static final String TAG_PHASE_FIRST

See Also:
  Constant Field Values

### TAG_ORDER

    static final String TAG_ORDER

See Also:
  Constant Field Values

### TAG_OPERATION

    static final String TAG_OPERATION

See Also:
  Constant Field Values

### TAG_PHASE

    static final String TAG_PHASE

See Also:
  Constant Field Values

### TAG_OBJECT_SUPPLIER

    static final String TAG_OBJECT_SUPPLIER

See Also:
  Constant Field Values

### TAG_EXCLUDE_OPERATIONS

    static final String TAG_EXCLUDE_OPERATIONS

See Also:
  Constant Field Values

### TAG_MESSAGE_RECEIVER

    static final String TAG_MESSAGE_RECEIVER

See Also:
  Constant Field Values

### TAG_MESSAGE_RECEIVERS

    static final String TAG_MESSAGE_RECEIVERS

See Also:
  Constant Field Values

### TAG_TRANSPORTS

    static final String TAG_TRANSPORTS

See Also:
  Constant Field Values

### TAG_TRANSPORT

    static final String TAG_TRANSPORT

See Also:
  Constant Field Values

### TAG_MEP

    static final String TAG_MEP

See Also:
  Constant Field Values

### TAG_DEFAULT_MODULE_VERSION

    static final String TAG_DEFAULT_MODULE_VERSION

See Also:
  Constant Field Values

### TAG_CLUSTER

    static final String TAG_CLUSTER

See Also:
  Constant Field Values

### TAG_TRANSACTION

    static final String TAG_TRANSACTION

See Also:
  Constant Field Values

### TAG_TRANSACTION_CONFIGURATION_CLASS

    static final String TAG_TRANSACTION_CONFIGURATION_CLASS

See Also:
  Constant Field Values

### TAG_TIMEOUT

    static final String TAG_TIMEOUT

See Also:
  Constant Field Values

### TAG_MESSAGE_BUILDERS

    static final String TAG_MESSAGE_BUILDERS

See Also:
  Constant Field Values

### TAG_MESSAGE_BUILDER

    static final String TAG_MESSAGE_BUILDER

See Also:
  Constant Field Values

### TAG_CONTENT_TYPE

    static final String TAG_CONTENT_TYPE

See Also:
  Constant Field Values

### TAG_MESSAGE_FORMATTERS

    static final String TAG_MESSAGE_FORMATTERS

See Also:
  Constant Field Values

### TAG_MESSAGE_FORMATTER

    static final String TAG_MESSAGE_FORMATTER

See Also:
  Constant Field Values

### TAG_FLOW_IN

    static final String TAG_FLOW_IN

See Also:
  Constant Field Values

### TAG_FLOW_OUT

    static final String TAG_FLOW_OUT

See Also:
  Constant Field Values

### TAG_FLOW_OUT_FAULT

    static final String TAG_FLOW_OUT_FAULT

See Also:
  Constant Field Values

### TAG_FLOW_IN_FAULT

    static final String TAG_FLOW_IN_FAULT

See Also:
  Constant Field Values

### TAG_HOT_UPDATE

    static final String TAG_HOT_UPDATE

See Also:
  Constant Field Values

### TAG_ANTI_JAR_LOCKING

    static final String TAG_ANTI_JAR_LOCKING

See Also:
  Constant Field Values

### TAG_HOT_DEPLOYMENT

    static final String TAG_HOT_DEPLOYMENT

See Also:
  Constant Field Values

### TAG_ALLOWOVERRIDE

    static final String TAG_ALLOWOVERRIDE

See Also:
  Constant Field Values

### TAG_EXPOSE

    static final String TAG_EXPOSE

See Also:
  Constant Field Values

### TAG_EXTRACT_SERVICE_ARCHIVE

    static final String TAG_EXTRACT_SERVICE_ARCHIVE

See Also:
  Constant Field Values

### TAG_DISPATCH_ORDER

    static final String TAG_DISPATCH_ORDER

See Also:
  Constant Field Values

### TAG_DISPATCHER

    static final String TAG_DISPATCHER

See Also:
  Constant Field Values

### TAG_DESCRIPTION

    static final String TAG_DESCRIPTION

See Also:
  Constant Field Values

### TAG_CLASS_NAME

    static final String TAG_CLASS_NAME

See Also:
  Constant Field Values

### TAG_LIST_ID

    static final String TAG_LIST_ID

See Also:
  Constant Field Values

### TAG_EXCLUDE_PROPERTIES

    static final String TAG_EXCLUDE_PROPERTIES

See Also:
  Constant Field Values

### TAG_INCLUDE_PROPERTIES

    static final String TAG_INCLUDE_PROPERTIES

See Also:
  Constant Field Values

### TAG_AFTER

    static final String TAG_AFTER

See Also:
  Constant Field Values

### TAG_BEFORE

    static final String TAG_BEFORE

See Also:
  Constant Field Values

### TAG_SUPPORTED_POLICY_NAMESPACES

    static final String TAG_SUPPORTED_POLICY_NAMESPACES

See Also:
  Constant Field Values

### TAG_NAMESPACES

    static final String TAG_NAMESPACES

See Also:
  Constant Field Values

### TAG_NODE_MANAGER

    static final String TAG_NODE_MANAGER

See Also:
  Constant Field Values

### TAG_STATE_MANAGER

    static final String TAG_STATE_MANAGER

See Also:
  Constant Field Values

### TAG_REPLICATION

    static final String TAG_REPLICATION

See Also:
  Constant Field Values

### TAG_DEFAULTS

    static final String TAG_DEFAULTS

See Also:
  Constant Field Values

### TAG_CONTEXT

    static final String TAG_CONTEXT

See Also:
  Constant Field Values

### TAG_EXCLUDE

    static final String TAG_EXCLUDE

See Also:
  Constant Field Values

### ATTRIBUTE_CLASS

    static final String ATTRIBUTE_CLASS

See Also:
  Constant Field Values

### DIRECTORY

    static final String DIRECTORY

See Also:
  Constant Field Values

### EXTENSION

    static final String EXTENSION

See Also:
  Constant Field Values

### DEPLOYER

    static final String DEPLOYER

See Also:
  Constant Field Values

### ATTACHMENTS_LIFECYCLE_MANAGER

    static final String ATTACHMENTS_LIFECYCLE_MANAGER

See Also:
  Constant Field Values

### ATTRIBUTE_NAME

    static final String ATTRIBUTE_NAME

See Also:
  Constant Field Values

### ATTRIBUTE_WSADDRESSING

    static final String ATTRIBUTE_WSADDRESSING

See Also:
  Constant Field Values

### TARGET_NAME_SPACE

    static final String TARGET_NAME_SPACE

See Also:
  Constant Field Values

### SCHEMA_NAME_SPACE

    static final String SCHEMA_NAME_SPACE

See Also:
  Constant Field Values

### SCHEMA_ELEMENT_QUALIFIED

    static final String SCHEMA_ELEMENT_QUALIFIED

See Also:
  Constant Field Values

### SCHEMA

    static final String SCHEMA

See Also:
  Constant Field Values

### MAPPING

    static final String MAPPING

See Also:
  Constant Field Values

### ATTRIBUTE_NAMESPACE

    static final String ATTRIBUTE_NAMESPACE

See Also:
  Constant Field Values

### ATTRIBUTE_PACKAGE

    static final String ATTRIBUTE_PACKAGE

See Also:
  Constant Field Values

### ATTRIBUTE_DEFAULT_VERSION

    static final String ATTRIBUTE_DEFAULT_VERSION

See Also:
  Constant Field Values

### ATTRIBUTE_SCOPE

    static final String ATTRIBUTE_SCOPE

See Also:
  Constant Field Values

### ATTRIBUTE_LOCKED

    static final String ATTRIBUTE_LOCKED

See Also:
  Constant Field Values

### ATTRIBUTE_ACTIVATE

    static final String ATTRIBUTE_ACTIVATE

See Also:
  Constant Field Values

### PROPERTY_TEMP_DIR

    static final String PROPERTY_TEMP_DIR

See Also:
  Constant Field Values

### DIRECTORY_CONF

    static final String DIRECTORY_CONF

See Also:
  Constant Field Values

### DIRECTORY_AXIS2_HOME

    static final String DIRECTORY_AXIS2_HOME

See Also:
  Constant Field Values

### RESOURCE_MODULES

    static final String RESOURCE_MODULES

See Also:
  Constant Field Values

### SUFFIX_MAR

    static final String SUFFIX_MAR

See Also:
  Constant Field Values

### SUFFIX_JAR

    static final String SUFFIX_JAR

See Also:
  Constant Field Values

### SUFFIX_WSDL

    static final String SUFFIX_WSDL

See Also:
  Constant Field Values

### AXIS2_CONFIGURATION_RESOURCE

    static final String AXIS2_CONFIGURATION_RESOURCE

  Resource that contains the configuration.

  See Also:
    Constant Field Values

### AXIS2_REPO

    static final String AXIS2_REPO

See Also:
  Constant Field Values

### AXIS2_CONFIGURATION_XML

    static final String AXIS2_CONFIGURATION_XML

See Also:
  Constant Field Values

### BOOLEAN_TRUE

    static final String BOOLEAN_TRUE

See Also:
  Constant Field Values

### BOOLEAN_FALSE

    static final String BOOLEAN_FALSE

See Also:
  Constant Field Values

### SEPARATOR_DOT

    static final char SEPARATOR_DOT

See Also:
  Constant Field Values

### SEPARATOR_COLON

    static final char SEPARATOR_COLON

See Also:
  Constant Field Values

### POLICY_NS_URI

    static final String POLICY_NS_URI

See Also:
  Constant Field Values

### TAG_POLICY

    static final String TAG_POLICY

See Also:
  Constant Field Values

### TAG_POLICY_REF

    static final String TAG_POLICY_REF

See Also:
  Constant Field Values

### TAG_POLICY_ATTACHMENT

    static final String TAG_POLICY_ATTACHMENT

See Also:
  Constant Field Values

### TAG_APPLIES_TO

    static final String TAG_APPLIES_TO

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.